<div id="login" class="clearfix">
  <header class="header">
    <div class="header-inner">
      <div class="container">
        <div class="header-top">
          <div class="header-top__left">
            <div class="logo">
              <a href="/">
                <img src="assets/images/logo_hvn.png" alt="">
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <section class="section login">
    <div class="container">
      <div class="login-wrapper">
        <h2 *ngIf="usernameState">Login and get to work</h2>
        <h2 *ngIf="passwordState">Welcome</h2>
        <p *ngIf="passwordState" class="text-center" style="margin-top:-25px;">{{username}}</p>
        <form [formGroup]="usernameForm" *ngIf="usernameState">
            <div class="form-group">
              <div class="lamp-input-group" title="Please fill out this field">
                <i class="fa fa-user"></i>
                <input type="text" formControlName="username"
                   class="form-control" placeholder="Username or Email"
                   [ngClass]="{ 'is-invalid': submitted && f.username.errors }"/>
                <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
                  <div *ngIf="f.username.errors.required">
                    This field is required
                  </div>
                  <div *ngIf="f.username.errors.emailInValid">
                    Oops! Username is incorrect.
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group text-center">
                <input [disabled]="loading" type="button" class="btn btn-create" (click)="submitUsername()" value="Continue">
            </div>
        </form>
        <form [formGroup]="passwordForm" *ngIf="passwordState">
            <div class="form-group">
                <div class="lamp-input-group" title="Please fill out this field">
                  <i class="fa fa-lock" aria-hidden="true"></i>
                  <input type="password" formControlName="password" placeholder="Password" class="form-control"
                       [ngClass]="{ 'is-invalid': submitted && p.password.errors }" />
                  <div *ngIf="submitted && p.password.errors; else errorServer" class="invalid-feedback">
                    <div *ngIf="p.password.errors.required">This field is required</div>
                  </div>
                </div>
                <ng-template #errorServer>
                  <div class="invalid-feedback" style="display: block!important;" *ngIf="passwordIncorrect">
                      <div>Oops! Password is incorrect.</div>
                  </div>
                </ng-template>
            </div>
            <div class="clearfix">
                <div class="pull-left d-none-mobile-app">
                    <div class="custom-control custom-checkbox checkbox-rememberme">
                        <input type="checkbox" class="custom-control-input" id="login_rememberme">
                        <label class="custom-control-label" for="login_rememberme">Keep me logged in</label>
                    </div>
                </div>
                <div class="pull-right text-right p-xs-top d-none d-md-block">
                    <a ng-click="logClickEvent('forgot_password')" href="/reset-password">Forgot password?</a>
                </div>
            </div>
            <div class="form-group text-center">
                <input [disabled]="loading" type="button" class="btn btn-create" (click)="submitLogin()" value="Login">
            </div>
        </form>
        <a class="text-center" *ngIf="passwordState" (click)="changeUser()">Not you?</a>
        <div class="signup-section text-center" *ngIf="usernameState">
          <h4 class="signup-graph"><span>New to Upwork?</span></h4>
          <a routerLink="/signup" class="btn btn-signup">Signup</a>
        </div>
      </div>
    </div>
  </section>
  <footer class="footer">
    <p>&copy; 2019 Harvey Nash Vietnam</p>
    <p>Terms of Service</p>
    <p>Privacy Policy</p>
  </footer>
</div>
